/*******************************************************
 Author:					Manfred Langemann
 mailto:					Manfred.Langemann t t-online.de
 Begin of project:			04.01.2008
 Latest version generated:	30.04.2015
 Filename:					TWI_Slave.h
 Description:    			TWI slave functions include file
 ********************************************************/
#ifndef _TWIS_h
#define _TWIS_h

#define	TWIS_ReadBytes		0x60
#define	TWIS_WriteBytes		0xA8

/****************************************************************************
  Public TWI Slave functions
****************************************************************************/
void	TWIS_Init (uint8_t Address);
uint8_t	TWIS_ResponseRequired (uint8_t *TWI_ResponseType);
uint8_t TWIS_ReadDataFromTWI (uint8_t *iNumBytes, uint8_t *TWIS_Buf);
uint8_t TWIS_WriteDataToTWI (uint8_t iNumBytes, uint8_t *TWIS_Buf);

#endif
